﻿using System;
using System.IO;
using System.Web;
using System.Linq;
using System.Text;
using System.Data;
using System.Drawing;
using System.Web.Mvc;
using System.Collections;
using System.Web.Mvc.Ajax;
using System.ComponentModel;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using Syncfusion.Mvc.Grid;
using Syncfusion.DocIO.DLS;
using Syncfusion.Pdf;
using Syncfusion.XlsIO;
using qureyparam.Models;
namespace qureyparam.Controllers
{
    public partial class LayoutController : Controller
    {
        public ActionResult ControlsInLayout(int? duration)
        {
            ViewData["Detail"] = duration;
            return View();
        }
      [AcceptVerbs(HttpVerbs.Post)]
      public ActionResult ControlsInLayout(PagingParams args, int? duration)
      {
          IEnumerable data;
          if (duration != null)
          {
              data = new StudentDataContext().Student.Where(s => s.Duration == duration).Take(10).ToList();
          }
          else
          {
              data = new StudentDataContext().Student.Take(100).ToList();
          }
          return data.GridJSONActions<Student>();
      }
    }
}
